Bug 1275179 - subscription-manager attach --quantity 2 without --pool option auto-attaches the subscription
subscription-manager attach --quantity 2 without --pool option auto-attaches ...
Status: MODIFIED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
Unspecified Unspecified
medium Severity medium
: pre-dev-freeze
: 6.8
Assigned To: William Poteat
John Sefler
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 04:41 EDT by Shwetha Kallesh
Modified: 2017-12-07 13:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 05:51:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Kallesh 2015-10-26 04:41:24 EDT
Description of problem:
subscription-manager attach --quantity 2 without --pool option doesnot throw an error , instead auto-attaches the subscription

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
[root@dhcp35-236 ~]# subscription-manager attach --quantity 2


Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

[root@dhcp35-236 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   CloudForms Employee Subscription
Provides:            Oracle Java (for RHEL Server)
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat CloudForms Beta
                     Red Hat Enterprise Linux Server
                     Red Hat CloudForms
                     Red Hat Software Collections (for RHEL Server)
                     Red Hat Beta
SKU:                 SER0412
Contract:            10041814
Account:             477931
Serial:              3129267362953183931
Pool ID:             8a85f9843affb61f013b1fae79e26a75
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Self-Support
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Standard
Starts:              11/20/2012
Ends:                01/01/2022
System Type:         Physical


Actual results:

auto-attaches the subscriptions

Expected results:
Error: --quantity is only applicable with --pool


Additional info:
Comment 2 Shwetha Kallesh 2015-10-26 04:45:58 EDT
[root@dhcp35-236 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.5-1
subscription management rules: 5.15
subscription-manager: 1.15.9-15.el7
python-rhsm: 1.15.4-5.el7
Comment 5 John Sefler 2015-12-03 15:19:23 EST
commit 281c1e5818eefa89bc73ba438c75494e16afc698

   1275179: Do not allow quantity with auto attach
Comment 6 Mike McCune 2016-03-28 19:45:25 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 8 Jan Kurik 2017-12-06 05:51:46 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.